DOMDocument::registerNodeClass
DOMDocument::relaxNGValidateSource
DOMDocument
PHP Manual

# DOMDocument::relaxNGValidate

(No version information available, might be only in CVS)

DOMDocument::relaxNGValidate — Performs relaxNG validation on the document

### Description

bool DOMDocument::relaxNGValidate ( string `$filename` )

Performs » relaxNG validation on the document based on the given RNG schema.

### Parameters

`filename`

  The RNG file.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::relaxNGValidateSource
- DOMDocument::schemaValidate
- DOMDocument::schemaValidateSource
- DOMDocument::validate

DOMDocument::registerNodeClass
DOMDocument::relaxNGValidateSource
DOMDocument
PHP Manual